Bug 1647924 - Random error when creating projects: 'serviceaccounts "default" already exists'
Summary: Random error when creating projects: 'serviceaccounts "default" already exists'
Keywords:
Status: CLOSED DUPLICATE of bug 1652482
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Master
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 3.7.z
Assignee: David Eads
QA Contact: Xingxing Xia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-08 14:47 UTC by Sergio G.
Modified: 2018-11-28 15:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-28 15:19:15 UTC
Target Upstream Version:


Attachments (Terms of Use)
Attachments to reproduce it (20.00 KB, application/x-tar)
2018-11-08 14:47 UTC, Sergio G.
no flags Details

Description Sergio G. 2018-11-08 14:47:20 UTC
Created attachment 1503366 [details]
Attachments to reproduce it

Description of problem:
As I need to have a secret linked with the default serviceAccount for every single project, I have modified the project template to create the secret, the serviceAccount.

I have modified master-config.yaml to set projectRequestTemplate to use this new template and also disabled default service account in managedNames section. Both files are attached as a reference.

So, now whenever I create a new project, I get some chances to get an error as described in the Summary.

Version-Release number of selected component (if applicable):
3.7

Comment 1 Sergio G. 2018-11-09 12:20:27 UTC
Customer reports to have the errors after a while after restarting master-api services:
 "I just find it strange, and wanted to note it in the case, that after the api restart projects will create with out error or issue. A few hours later, however, that seems to not be the case."


Note You need to log in before you can comment on or make changes to this bug.